NCache 4.6 - Online Documentation

Configuring PowerShell Environment

In order to run the NCache PowerShell scripts, PowerShell V2 or higher must be installed. Also, you need to enable script execution permissions in PowerShell. Here is how you can enable script execution in PowerShell.
  • Go to PowerShell Administration console. You may simply go to command prompt and type
/> PowerShell
  • Set the script execution policy to unrestricted so that you can do remote installations.
PS C:/Users> set-executionpolicy unrestricted
  • Also make sure that WinRM listener is configured and running on all remote machines where you will do the configuration or installation remotely through our PowerShell Scripts.
          C:/Users/qa>winrm get winrm/config
  • If the WinRM is listener is not already configured then type the following command to configure it.
    C:/Users/qa>winrm qc
See Also